<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>Login</title>
    </head>
    <body>
        <div class="full">
            <mat-card class="card">
                <mat-card-header>
                  <mat-card-title >Registro</mat-card-title>
                </mat-card-header>
                <mat-card-content>
                    <form>
                        <table>
                            <tr>
                                <td>
                                    <mat-form-field appearance="legacy">
                                        <mat-label>Usuario</mat-label>
                                        <input matInput [formControl]="userFormControl" placeholder="Usuario"  name ="user" required>
                                        <mat-icon matSuffix>person_pin</mat-icon>
                                            <mat-error *ngIf="userFormControl.hasError('required')">
                                                Usuario <strong>Requerido</strong>
                                            </mat-error>
                                    </mat-form-field>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <mat-form-field appearance="legacy">
                                        <mat-label>Correo</mat-label>
                                        <input matInput [formControl]="emailFormControl" placeholder="Correo"  name ="email" required>
                                        <mat-icon matSuffix>email</mat-icon>
                                            <mat-error *ngIf="emailFormControl.hasError('required')">
                                                Correo <strong>Requerido</strong>
                                            </mat-error>
                                    </mat-form-field>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <mat-form-field appearance="legacy">
                                    <mat-label>Contraseña</mat-label>
                                    <input matInput type="password" [formControl]="passwordFormControl" placeholder="Contraseña"  name ="password" required>
                                    <mat-icon matSuffix>lock</mat-icon>
                                        <mat-error *ngIf="passwordFormControl.hasError('required')">
                                        Contraseña <strong>Requerido</strong>
                                        </mat-error>
                                    </mat-form-field>
                                </td>
                            </tr>
                            
                        </table>
                    </form>
                </mat-card-content>
                <mat-card-actions>
                    <table>
                        <tr>
                            <td>
                                <button mat-button (click)="testUser()" style="background-color: #3f51b5; color: white">Registrate</button>
                            </td>
                        </tr>
                    </table>
                    
                </mat-card-actions>
            </mat-card>
        </div>
    </body>
</html>